Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[xsrc/trunk]: xsrc/external/mit/freetype/dist Merge freetype 2.9.1



details:   https://anonhg.NetBSD.org/xsrc/rev/4cbf454aee18
branches:  trunk
changeset: 9964:4cbf454aee18
user:      maya <maya%NetBSD.org@localhost>
date:      Wed May 09 07:21:07 2018 +0000
description:
Merge freetype 2.9.1

diffstat:

 external/mit/freetype/dist/builds/newline                 |     1 -
 external/mit/freetype/dist/builds/unix/freetype-config.in |   114 +-
 external/mit/freetype/dist/docs/VERSION.DLL               |   119 -
 external/mit/freetype/dist/src/cff/cf2arrst.c             |   241 -
 external/mit/freetype/dist/src/cff/cf2arrst.h             |   100 -
 external/mit/freetype/dist/src/cff/cf2blues.c             |   579 ----
 external/mit/freetype/dist/src/cff/cf2blues.h             |   185 -
 external/mit/freetype/dist/src/cff/cf2error.c             |    52 -
 external/mit/freetype/dist/src/cff/cf2error.h             |   119 -
 external/mit/freetype/dist/src/cff/cf2fixed.h             |    95 -
 external/mit/freetype/dist/src/cff/cf2font.c              |   512 ---
 external/mit/freetype/dist/src/cff/cf2font.h              |   122 -
 external/mit/freetype/dist/src/cff/cf2ft.c                |   706 ----
 external/mit/freetype/dist/src/cff/cf2ft.h                |   147 -
 external/mit/freetype/dist/src/cff/cf2glue.h              |   144 -
 external/mit/freetype/dist/src/cff/cf2hints.c             |  1848 -------------
 external/mit/freetype/dist/src/cff/cf2hints.h             |   289 --
 external/mit/freetype/dist/src/cff/cf2intrp.c             |  1771 ------------
 external/mit/freetype/dist/src/cff/cf2intrp.h             |    83 -
 external/mit/freetype/dist/src/cff/cf2read.c              |   112 -
 external/mit/freetype/dist/src/cff/cf2read.h              |    68 -
 external/mit/freetype/dist/src/cff/cf2stack.c             |   285 --
 external/mit/freetype/dist/src/cff/cf2stack.h             |   111 -
 external/mit/freetype/dist/src/cff/cf2types.h             |    78 -
 external/mit/freetype/dist/src/cff/cffload.c              |  1077 ++++++-
 external/mit/freetype/dist/src/cff/cfftypes.h             |   284 -
 external/mit/freetype/dist/src/gzip/ftgzip.c              |    30 +-
 external/mit/freetype/dist/src/gzip/zconf.h               |   284 -
 external/mit/freetype/dist/src/lzw/ftzopen.c              |    16 +-
 external/mit/freetype/dist/src/sfnt/ttcmap.c              |   535 ++-
 external/mit/freetype/dist/src/smooth/ftsmooth.c          |   387 +-
 31 files changed, 1618 insertions(+), 8876 deletions(-)

diffs (truncated from 11571 to 300 lines):

diff -r ae74cba1f109 -r 4cbf454aee18 external/mit/freetype/dist/builds/newline
--- a/external/mit/freetype/dist/builds/newline Wed May 09 06:49:46 2018 +0000
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,1 +0,0 @@
-
diff -r ae74cba1f109 -r 4cbf454aee18 external/mit/freetype/dist/builds/unix/freetype-config.in
--- a/external/mit/freetype/dist/builds/unix/freetype-config.in Wed May 09 06:49:46 2018 +0000
+++ b/external/mit/freetype/dist/builds/unix/freetype-config.in Wed May 09 07:21:07 2018 +0000
@@ -1,6 +1,6 @@
 #! /bin/sh
 #
-# Copyright 2000-2016 by
+# Copyright 2000-2018 by
 # David Turner, Robert Wilhelm, and Werner Lemberg.
 #
 # This file is part of the FreeType project, and may only be used, modified,
@@ -12,13 +12,53 @@
 LC_ALL=C
 export LC_ALL
 
-prefix="%prefix%"
-exec_prefix="%exec_prefix%"
-exec_prefix_set="no"
-includedir="%includedir%"
-libdir="%libdir%"
-enable_shared="%build_libtool_libs%"
-hardcode_libdir_flag_spec=%hardcode_libdir_flag_spec%
+# if `pkg-config' is available, use values from `freetype2.pc'
+%PKG_CONFIG% --atleast-pkgconfig-version 0.24 >/dev/null 2>&1
+if test $? -eq 0 ; then
+  # note that option `--variable' is not affected by the
+  # PKG_CONFIG_SYSROOT_DIR environment variable
+  if test "x$SYSROOT" != "x" ; then
+    PKG_CONFIG_SYSROOT_DIR="$SYSROOT"
+    export PKG_CONFIG_SYSROOT_DIR
+  fi
+
+  prefix=`%PKG_CONFIG% --variable prefix freetype2`
+  exec_prefix=`%PKG_CONFIG% --variable exec_prefix freetype2`
+
+  includedir=`%PKG_CONFIG% --variable includedir freetype2`
+  libdir=`%PKG_CONFIG% --variable libdir freetype2`
+
+  version=`%PKG_CONFIG% --modversion freetype2`
+
+  cflags=`%PKG_CONFIG% --cflags freetype2`
+  dynamic_libs=`%PKG_CONFIG% --libs freetype2`
+  static_libs=`%PKG_CONFIG% --static --libs freetype2`
+else
+  prefix="%prefix%"
+  exec_prefix="%exec_prefix%"
+
+  includedir="%includedir%"
+  libdir="%libdir%"
+
+  version=%ft_version%
+
+  cflags="-I${SYSROOT}$includedir/freetype2"
+  dynamic_libs="-lfreetype"
+  static_libs="%LIBSSTATIC_CONFIG%"
+  if test "${SYSROOT}$libdir" != "/usr/lib"   &&
+     test "${SYSROOT}$libdir" != "/usr/lib64" ; then
+    libs_L="-L${SYSROOT}$libdir"
+  fi
+fi
+
+orig_prefix=$prefix
+orig_exec_prefix=$exec_prefix
+
+orig_includedir=$includedir
+orig_libdir=$libdir
+
+include_suffix=`echo $includedir | sed "s|$prefix||"`
+lib_suffix=`echo $libdir | sed "s|$exec_prefix||"`
 
 usage()
 {
@@ -41,14 +81,17 @@
                          library
   --static               make command line options display flags
                          for static linking
+  --help                 display this help and exit
 EOF
   exit $1
 }
 
+
 if test $# -eq 0 ; then
   usage 1 1>&2
 fi
 
+
 while test $# -gt 0 ; do
   case "$1" in
   -*=*)
@@ -76,8 +119,8 @@
     echo_exec_prefix=yes
     ;;
   --version)
-    echo %ft_version%
-    exit 0
+    echo_version=yes
+    break
     ;;
   --ftversion)
     echo_ft_version=yes
@@ -94,6 +137,9 @@
   --static)
     show_static=yes
     ;;
+  --help)
+    usage 0
+    ;;
   *)
     usage 1 1>&2
     ;;
@@ -101,12 +147,27 @@
   shift
 done
 
+
 if test "$local_prefix" = "yes" ; then
   if test "$exec_prefix_set" != "yes" ; then
     exec_prefix=$prefix
   fi
 fi
 
+if test "$local_prefix" = "yes" ; then
+  includedir=${prefix}${include_suffix}
+  if test "$exec_prefix_set" = "yes" ; then
+    libdir=${exec_prefix}${lib_suffix}
+  else
+    libdir=${prefix}${lib_suffix}
+  fi
+fi
+
+
+if test "$echo_version" = "yes" ; then
+  echo $version
+fi
+
 if test "$echo_prefix" = "yes" ; then
   echo ${SYSROOT}$prefix
 fi
@@ -115,15 +176,6 @@
   echo ${SYSROOT}$exec_prefix
 fi
 
-if test "$exec_prefix_set" = "yes" ; then
-  libdir=$exec_prefix/lib
-else
-  if test "$local_prefix" = "yes" ; then
-    includedir=$prefix/include
-    libdir=$prefix/lib
-  fi
-fi
-
 if test "$echo_ft_version" = "yes" ; then
   major=`grep define ${SYSROOT}$includedir/freetype2/freetype/freetype.h \
          | grep FREETYPE_MAJOR \
@@ -138,30 +190,20 @@
 fi
 
 if test "$echo_cflags" = "yes" ; then
-  echo -I${SYSROOT}$includedir/freetype2
+  echo $cflags | sed "s|$orig_includedir/freetype2|$includedir/freetype2|"
 fi
 
 if test "$echo_libs" = "yes" ; then
-  rpath=
-  if test "$enable_shared" = "yes" ; then
-    eval "rpath=\"$hardcode_libdir_flag_spec\""
+  if test "$show_static" = "yes" ; then
+    libs="$libs_L $static_libs"
+  else
+    libs="$libs_L $dynamic_libs"
   fi
-  libs="-lfreetype"
-  staticlibs="%LIBSSTATIC_CONFIG%"
-  if test "$show_static" = "yes" ; then
-    libs="$staticlibs"
-  fi
-  if test "${SYSROOT}$libdir" != "/usr/lib"  &&
-     test "${SYSROOT}$libdir" != "/usr/lib64"; then
-    echo -L${SYSROOT}$libdir $libs $rpath
-  else
-    echo $libs $rpath
-  fi
+  echo $libs | sed "s|$orig_libdir|$libdir|"
 fi
 
 if test "$echo_libtool" = "yes" ; then
-  convlib="libfreetype.la"
-  echo ${SYSROOT}$libdir/$convlib
+  echo ${SYSROOT}$libdir/libfreetype.la
 fi
 
 # EOF
diff -r ae74cba1f109 -r 4cbf454aee18 external/mit/freetype/dist/docs/VERSION.DLL
--- a/external/mit/freetype/dist/docs/VERSION.DLL       Wed May 09 06:49:46 2018 +0000
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,119 +0,0 @@
-Due  to our  use of  `libtool' to  generate and  install the  FreeType 2
-libraries on  Unix systems, as  well as  other historical events,  it is
-generally very  difficult to  know precisely which  release of  the font
-engine is installed on a given system.
-
-This file tries  to explain why and to document  ways to properly detect
-FreeType on Unix.
-
-
-1. Version and Release numbers
-------------------------------
-
-For each new  public release of FreeType 2, there  are generally *three*
-distinct `version' numbers to consider:
-
-  * The official FreeType 2 release number, like 2.3.1 or 2.4.10.
-
-  * The libtool (and  Unix) specific version number,  like 13.0.7.  This
-    is what `freetype-config --version' returns.
-
-  * The platform-specific  shared object  number, used for  example when
-    the library is installed as `/usr/lib/libfreetype.so.6.7.1'.
-
-The platform-specific  number is, unsurprisingly,  platform-specific and
-varies  with the  operating system  you are  using (several  variants of
-Linux, FreeBSD,  Solaris, etc.).  You  should thus _never_ use  it, even
-for simple tests.
-
-The libtool-specific  number does  not equal the  release number  but is
-tied to it.
-
-The release number is available  at *compile* time through the following
-macros defined in FT_FREETYPE_H:
-
-  - FREETYPE_MAJOR: major release number
-  - FREETYPE_MINOR: minor release number
-  - FREETYPE_PATCH: patch release number
-
-See below for a small autoconf fragment.
-
-The  release  number   is  also  available  at   *runtime*  through  the
-`FT_Library_Version' API.
-
-
-2. History
-----------
-
-The  following   table  gives,  for   all  releases  since   2.4.0,  the
-corresponding libtool number, as well  as the shared object number found
-on _most_ systems, but not all of them:
-
-
-    release     libtool     so
-  -------------------------------
-     2.6.3      18.3.12   6.12.3
-     2.6.2      18.2.12   6.12.2
-     2.6.1      18.1.12   6.12.1
-     2.6.0      18.0.12   6.12.0
-     2.5.5      17.4.11   6.11.4
-     2.5.4      17.3.11   6.11.3
-     2.5.3      17.2.11   6.11.2
-     2.5.2      17.1.11   6.11.1
-     2.5.1      17.0.11   6.11.0
-     2.5.0      16.2.10   6.10.2
-     2.4.12     16.1.10   6.10.1
-     2.4.11     16.0.10   6.10.0
-     2.4.10     15.0.9    6.9.0
-     2.4.9      14.1.8    6.8.1
-     2.4.8      14.0.8    6.8.0
-     2.4.7      13.2.7    6.7.2
-     2.4.6      13.1.7    6.7.1
-     2.4.5      13.0.7    6.7.0
-     2.4.4      12.2.6    6.6.2
-     2.4.3      12.1.6    6.6.1
-     2.4.2      12.0.6    6.6.0
-     2.4.1      11.1.5    6.5.1
-     2.4.0      11.0.5    6.5.0
-
-
-3. Autoconf Code Fragment
--------------------------
-
-Lars Clausen contributed the following autoconf fragment to detect which
-version of  FreeType is  installed on  a system.  This  one tests  for a
-version that  is at least 2.0.9;  you should change it  to check against
-other release numbers.
-
-
-  AC_MSG_CHECKING([whether FreeType version is 2.0.9 or higher])
-  old_CPPFLAGS="$CPPFLAGS"
-  CPPFLAGS=`freetype-config --cflags`
-  AC_TRY_CPP([
-
-#include <ft2build.h>
-#include FT_FREETYPE_H
-#if (FREETYPE_MAJOR*1000 + FREETYPE_MINOR)*1000 + FREETYPE_PATCH < 2000009
-#error Freetype version too low.
-#endif



Home | Main Index | Thread Index | Old Index